<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RecordController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.controllers</a> &gt; <span class="el_source">RecordController.java</span></div><h1>RecordController.java</h1><pre class="source lang-java linenums">package dev.team3.controllers;

import dev.team3.models.Account;
import dev.team3.models.Record;
import dev.team3.services.AccountService;
import dev.team3.services.RecordService;
import dev.team3.util.EmailUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping(&quot;/records&quot;)
@CrossOrigin
<span class="fc" id="L19">public class RecordController {</span>

    @Autowired
    private RecordService recordService;

    @GetMapping(produces = &quot;application/json&quot;)
    //    @ResponseBody
        public ResponseEntity&lt;List&lt;Record&gt;&gt; returnHistory(@RequestParam(&quot;token&quot;) String token){
        //updated to handle unauthorized tokens
        try{
<span class="fc" id="L29">            String username = token.substring(0,token.length()-11);</span>
<span class="fc" id="L30">            System.out.println(recordService.getRecordByUsername(username));</span>
<span class="fc" id="L31">            return new ResponseEntity&lt;&gt;(recordService.getRecordByUsername(username), HttpStatus.OK);</span>
<span class="fc" id="L32">        }catch (IndexOutOfBoundsException e){</span>
<span class="fc" id="L33">            List&lt;Record&gt; unauthorized = new ArrayList&lt;&gt;();</span>
<span class="fc" id="L34">            return new ResponseEntity&lt;List&lt;Record&gt;&gt;(unauthorized, HttpStatus.UNAUTHORIZED);</span>
        }


    }

    @PostMapping(consumes = &quot;application/x-www-form-urlencoded&quot;, produces = &quot;application/json&quot;)
//    @ResponseBody
    public ResponseEntity&lt;Record&gt; createNewRecord(@RequestParam(&quot;gameId&quot;) int gameId,
                                                  @RequestParam(&quot;amount&quot;) double amount,
                                                  @RequestParam(&quot;token&quot;) String token){
<span class="fc" id="L45">        String username = token.substring(0,token.length()-11);</span>
<span class="fc" id="L46">        System.out.println(&quot;Creating record for user &quot; + username);</span>

<span class="fc" id="L48">        return new ResponseEntity&lt;&gt;(recordService.createNewRecordByUsername(gameId, amount, username), HttpStatus.CREATED);</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>